Create and start a flow execution - SuperAI Flows
Create and start a flow execution
cURL
curl --request POST \
--url https://flows.super.ai/api/flow-executions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"flow_id": "550e8400-e29b-41d4-a716-446655440000",
"input": {
"file_key": "documents/report.pdf",
"options": {
"language": "en"
}
}
}
'
Python
import requests
url = "https://flows.super.ai/api/flow-executions"
payload = {
"flow_id": "550e8400-e29b-41d4-a716-446655440000",
"input": {
"file_key": "documents/report.pdf",
"options": { "language": "en" }
}
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
flow_id: '550e8400-e29b-41d4-a716-446655440000',
input: {file_key: 'documents/report.pdf', options: {language: 'en'}}
})
};
fetch('https://flows.super.ai/api/flow-executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Example
{
"created_at": "2023-11-07T05:31:56Z",
"flow_id": "550e8400-e29b-41d4-a716-446655440000",
"flow_version": 3,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": {
"file_key": "documents/abc123.pdf",
"metadata": {
"priority": "high"
}
},
"modified_by": "<string>",
"organization_id": "660e8400-e29b-41d4-a716-446655440001",
"status": "running",
"updated_at": "2023-11-07T05:31:56Z"
}
Authorizations
X-API-Key: API key authentication. Include your API key in the X-API-Key header.
Authorization: JWT Bearer token authentication. Include your access token in the Authorization header.
Body Structure
- flow_id: UUID of the flow definition to execute.
- input: Object required for flow execution; follows specific schema.